|
|
@ -143,11 +143,11 @@ result = result.union(cut_tapered) |
|
|
|
result = ( |
|
|
|
result.workplane(offset=(planter_height / 2) - 25) |
|
|
|
.makePolygon(bottom_polygon) |
|
|
|
.extrude(5) |
|
|
|
.extrude(10) |
|
|
|
) |
|
|
|
|
|
|
|
result = result.workplane(offset=(planter_height / 2) - 25).cylinder( |
|
|
|
8, bottom_radius / 3, combine="cut" |
|
|
|
17, bottom_radius / 3, combine="cut" |
|
|
|
) |
|
|
|
|
|
|
|
assembly = cq.Assembly() |
|
|
@ -157,7 +157,7 @@ assembly.add(result, loc=cq.Location((100, 100, 100))) |
|
|
|
assembly.add(circle_plate, loc=cq.Location((-100, -100, -100))) |
|
|
|
|
|
|
|
try: |
|
|
|
show_object(assembly) |
|
|
|
show_object(result) |
|
|
|
except NameError: |
|
|
|
pass |
|
|
|
|
|
|
|